public class kutu
{
  public String isim; 
  protected double en;
  protected double boy;
  protected double yukseklik;
  
  //kurucu metod kutu
  public kutu()  //boş kutu
  {isim="kutu";kutugir(0.0,0.0,0.0);}
  public kutu(String si) //sadece ismi tanımlanmış boş kutu
  {isim=si;kutugir(0.0,0.0,0.0);}
  public kutu(String si,double ei,double bi,double yi) //kutunun ismini ve ve boyutlarını tanımlanmış 
  { isim=si;kutugir(ei,bi,yi);}
  public kutu(double ei,double bi,double yi)
  {isim="kutu";kutugir(ei,bi,yi);}
  
  //değişken girdi metodlari
  public void kutugir(double ei,double bi,double yi)
  {
  en=ei;
  boy=bi;
  yukseklik=yi;
  }
  public void engir(double ei,double bi,double yi)
  { en=ei; }
  public void boygir(double bi)
  { boy=bi; }
  public void yukseklikgir(double yi)
  { yukseklik=yi; }
  public void isimgir(String si)
  {isim=si;}
  //değişken çıktı metodlari
  public double enoku()
  {return en;}
  public double boyoku()
  {return boy;}
  public double yukseklikoku()
  {return yukseklik;}
  //hacim metodu
  public double hacim()
  {return en*boy*yukseklik;}
  public double yuzeyalani()
  {return 2.0*en*boy+2.0*en*yukseklik+2.0*boy*yukseklik;}
  public String kutucikti()
  {String s=" isim = "+isim+"\n en ="+en+"\n boy="+boy+"\n yükseklik="+yukseklik+"\n Hacim="+hacim()+"\n yüzey alanı="+yuzeyalani();
   return s;
  }
}